Package com.sun.mail.dsn

# Class multipart_report

java.lang.Object
com.sun.mail.dsn.multipart_report

All Implemented Interfaces:
  `DataContentHandler`

public class multipart_report extends Object implements DataContentHandler
DataContentHandler for multipart/report MIME type. Applications should not use this class directly, it's used indirectly through the JavaBeans Activation Framework.

Since:
  JavaMail 1.4

## Constructor Summary

Constructors
Constructor
Description
`multipart_report()`

## Method Summary

Modifier and Type
Method
Description
`Object`
`getContent(DataSource ds)`
Return the content.
`Object`
`getTransferData(DataFlavor df, DataSource ds)`
Return the Transfer Data of type DataFlavor from InputStream.
`DataFlavor[]`
`getTransferDataFlavors()`
Return the DataFlavors for this `DataContentHandler`.
`void`
`writeTo(Object obj, String mimeType, OutputStream os)`
Write the object to the output stream, using the specific MIME type.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### multipart_report

public multipart_report()

## Method Details

### getTransferDataFlavors

public DataFlavor[] getTransferDataFlavors()
Return the DataFlavors for this `DataContentHandler`.

Specified by:
  `getTransferDataFlavors` in interface `DataContentHandler`
Returns:
  The DataFlavors

### getTransferData

public Object getTransferData(DataFlavor df, DataSource ds) throws IOException
Return the Transfer Data of type DataFlavor from InputStream.

Specified by:
  `getTransferData` in interface `DataContentHandler`
Parameters:
  `df` - The DataFlavor
  `ds` - The DataSource corresponding to the data
Returns:
  String object
Throws:
  `IOException`

### getContent

public Object getContent(DataSource ds) throws IOException
Return the content.

Specified by:
  `getContent` in interface `DataContentHandler`
Throws:
  `IOException`

### writeTo

public void writeTo(Object obj, String mimeType, OutputStream os) throws IOException
Write the object to the output stream, using the specific MIME type.

Specified by:
  `writeTo` in interface `DataContentHandler`
Throws:
  `IOException`